Loading...
Searching...
No Matches
opengv::relative_pose::MANoncentralRelativeMulti Class Reference

`#include <MANoncentralRelativeMulti.hpp>`

Inheritance diagram for opengv::relative_pose::MANoncentralRelativeMulti:

## Public Member Functions

EIGEN_MAKE_ALIGNED_OPERATOR_NEW | MANoncentralRelativeMulti (const std::vector< double * > &bearingVectors1, const std::vector< double * > &bearingVectors2, const double *camOffsets, const std::vector< int > &numberBearingVectors)
| Constructor. See protected class-members to understand parameters.
virtual | ~MANoncentralRelativeMulti ()
| Destructor.
virtual bearingVector_t | getBearingVector1 (size_t pairIndex, size_t correspondenceIndex) const
virtual bearingVector_t | getBearingVector2 (size_t pairIndex, size_t correspondenceIndex) const
virtual double | getWeight (size_t camIndex, size_t correspondenceIndex) const
virtual translation_t | getCamOffset (size_t pairIndex) const
virtual rotation_t | getCamRotation (size_t pairIndex) const
virtual size_t | getNumberCorrespondences (size_t pairIndex) const
virtual size_t | getNumberPairs () const
virtual std::vector< int > | convertMultiIndices (const std::vector< std::vector< int > > &multiIndices) const
virtual int | convertMultiIndex (size_t camIndex, size_t correspondenceIndex) const
virtual int | multiPairIndex (size_t index) const
virtual int | multiCorrespondenceIndex (size_t index) const
Public Member Functions inherited from opengv::relative_pose::RelativeMultiAdapterBase
EIGEN_MAKE_ALIGNED_OPERATOR_NEW | RelativeMultiAdapterBase ()
| RelativeMultiAdapterBase (const rotation_t &R12)
| RelativeMultiAdapterBase (const translation_t &t12, const rotation_t &R12)
virtual | ~RelativeMultiAdapterBase ()
virtual bearingVector_t | getBearingVector1 (size_t index) const
virtual bearingVector_t | getBearingVector2 (size_t index) const
virtual double | getWeight (size_t index) const
virtual translation_t | getCamOffset1 (size_t index) const
virtual rotation_t | getCamRotation1 (size_t index) const
virtual translation_t | getCamOffset2 (size_t index) const
virtual rotation_t | getCamRotation2 (size_t index) const
virtual size_t | getNumberCorrespondences () const
Public Member Functions inherited from opengv::relative_pose::RelativeAdapterBase
EIGEN_MAKE_ALIGNED_OPERATOR_NEW | RelativeAdapterBase ()
| Constructor.
| RelativeAdapterBase (const rotation_t &R12)
| Constructor.
| RelativeAdapterBase (const translation_t &t12, const rotation_t &R12)
| Constructor.
virtual | ~RelativeAdapterBase ()
| Destructor.
opengv::translation_t | gett12 () const
| Retrieve the prior or known value for the relative position.
void | sett12 (const opengv::translation_t &t12)
| Set the prior or known value for the relative position.
opengv::rotation_t | getR12 () const
| Retrieve the prior or known value for the relative rotation.
void | setR12 (const opengv::rotation_t &R12)
| Set the prior or known value for the relative rotation.

## Protected Attributes

std::vector< double * > | _bearingVectors1
std::vector< double * > | _bearingVectors2
const double * | _camOffsets
std::vector< int > | _numberBearingVectors
std::vector< int > | multiPairIndices
std::vector< int > | multiKeypointIndices
std::vector< int > | singleIndexOffsets
Protected Attributes inherited from opengv::relative_pose::RelativeMultiAdapterBase
opengv::translation_t | _t12
opengv::rotation_t | _R12
Protected Attributes inherited from opengv::relative_pose::RelativeAdapterBase
opengv::translation_t | _t12
opengv::rotation_t | _R12

## Detailed Description

Check the documentation of the parent-class to understand the meaning of a RelativeMultiAdapter. This child-class is for the relative non-central case and holds data in form of pointers to matlab-types. It is meant to be used for problems involving two non-central viewpoints, but in the special case where correspondences result from two cameras with equal transformation to their two viewpoints.

## Member Function Documentation

## convertMultiIndex()

virtual int opengv::relative_pose::MANoncentralRelativeMulti::convertMultiIndex | ( | size_t | camIndex,
|  | size_t | correspondenceIndex ) const

virtual

See parent-class

Implements opengv::relative_pose::RelativeMultiAdapterBase.

## convertMultiIndices()

virtual std::vector< int > opengv::relative_pose::MANoncentralRelativeMulti::convertMultiIndices | ( | const std::vector< std::vector< int > > & | multiIndices | ) | const

virtual

See parent-class

Implements opengv::relative_pose::RelativeMultiAdapterBase.

## getBearingVector1()

virtual bearingVector_t opengv::relative_pose::MANoncentralRelativeMulti::getBearingVector1 | ( | size_t | pairIndex,
|  | size_t | correspondenceIndex ) const

virtual

See parent-class

Implements opengv::relative_pose::RelativeMultiAdapterBase.

## getBearingVector2()

virtual bearingVector_t opengv::relative_pose::MANoncentralRelativeMulti::getBearingVector2 | ( | size_t | pairIndex,
|  | size_t | correspondenceIndex ) const

virtual

See parent-class

Implements opengv::relative_pose::RelativeMultiAdapterBase.

## getCamOffset()

virtual translation_t opengv::relative_pose::MANoncentralRelativeMulti::getCamOffset | ( | size_t | pairIndex | ) | const

virtual

See parent-class

Implements opengv::relative_pose::RelativeMultiAdapterBase.

## getCamRotation()

virtual rotation_t opengv::relative_pose::MANoncentralRelativeMulti::getCamRotation | ( | size_t | pairIndex | ) | const

virtual

See parent-class

Implements opengv::relative_pose::RelativeMultiAdapterBase.

## getNumberCorrespondences()

virtual size_t opengv::relative_pose::MANoncentralRelativeMulti::getNumberCorrespondences | ( | size_t | pairIndex | ) | const

virtual

See parent-class

Implements opengv::relative_pose::RelativeMultiAdapterBase.

## getNumberPairs()

virtual size_t opengv::relative_pose::MANoncentralRelativeMulti::getNumberPairs | ( |  | ) | const

virtual

See parent-class

Implements opengv::relative_pose::RelativeMultiAdapterBase.

## getWeight()

virtual double opengv::relative_pose::MANoncentralRelativeMulti::getWeight | ( | size_t | camIndex,
|  | size_t | correspondenceIndex ) const

virtual

See parent-class

Implements opengv::relative_pose::RelativeMultiAdapterBase.

## multiCorrespondenceIndex()

virtual int opengv::relative_pose::MANoncentralRelativeMulti::multiCorrespondenceIndex | ( | size_t | index | ) | const

virtual

See parent-class

Implements opengv::relative_pose::RelativeMultiAdapterBase.

## multiPairIndex()

virtual int opengv::relative_pose::MANoncentralRelativeMulti::multiPairIndex | ( | size_t | index | ) | const

virtual

See parent-class

Implements opengv::relative_pose::RelativeMultiAdapterBase.

## Member Data Documentation

## _bearingVectors1

std::vector<double *> opengv::relative_pose::MANoncentralRelativeMulti::_bearingVectors1

protected

A pointer to the bearing-vectors in viewpoint 1

## _bearingVectors2

std::vector<double *> opengv::relative_pose::MANoncentralRelativeMulti::_bearingVectors2

protected

A pointer to the bearing-vectors in viewpoint 2

## _camOffsets

const double* opengv::relative_pose::MANoncentralRelativeMulti::_camOffsets

protected

The offset from the viewpoint origin of each vector

## _numberBearingVectors

std::vector<int> opengv::relative_pose::MANoncentralRelativeMulti::_numberBearingVectors

protected

The number of bearing-vectors in each camera

## multiKeypointIndices

std::vector<int> opengv::relative_pose::MANoncentralRelativeMulti::multiKeypointIndices

protected

Initialized in constructor, used for (de)-serialiaztion of indices

## multiPairIndices

std::vector<int> opengv::relative_pose::MANoncentralRelativeMulti::multiPairIndices

protected

Initialized in constructor, used for (de)-serialiaztion of indices

## singleIndexOffsets

std::vector<int> opengv::relative_pose::MANoncentralRelativeMulti::singleIndexOffsets

protected

Initialized in constructor, used for (de)-serialiaztion of indices

The documentation for this class was generated from the following file:

- include/opengv/relative_pose/MANoncentralRelativeMulti.hpp